Skip to main content
`Ctrl`+`K`

# DMPlexCoordinatesLoad

Loads coordinates into a `DMPLEX`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCoordinatesLoad(DM dm, PetscViewer viewer, PetscSF globalToLocalPointSF)

Collective

## Input Parameters

- dm - The `DM` into which the coordinates are loaded

- viewer - The `PetscViewer` for the saved coordinates

- globalToLocalPointSF - The `PetscSF` returned by `DMPlexTopologyLoad()` when loading dm from viewer

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLoad()`, `DMPlexTopologyLoad()`, `DMPlexLabelsLoad()`, `DMView()`, `PetscViewerHDF5Open()`, `PetscViewerPushFormat()`, `PetscSF`, `PetscViewer`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages